;$PAGINATE
;$title(Arnold 5 test)
;$subtitle(Orions ridiculous request)
;$copyright(Copyright (c) 1989, 1990, Amstrad plc.)
;$pagewidth=131
;
;        PUBLIC  OrionTests               ;called indirectly from TESTPACK
;                                        ; out of MainMenuTable
;
;
;        EXTERN  FrameFlybackTest        ;FLYBACK
;        EXTERN  InterruptTest           ;INTTEST
;        EXTERN  RAMTest                 ;RAMTEST
;        EXTERN  OrionSoundTest          ;ORNSOUND
;        EXTERN  OrionControlsTest       ;ORNCONTRL
;        EXTERN  Palette27Test           ;PALET27
;        EXTERN  DMASoundTest            ;SOUNDDMA
;        EXTERN  PrinterTest             ;PRINTER
;        EXTERN  DatacorderTest          ;TAPE
;        EXTERN  FloppyTest              ;UPROMLNK
;
;        EXTERN  ErrorHandler            ;ERROR
;
;        EXTERN  ScreenSetMode           ;SUPPORT
;        EXTERN  DelayASeconds           ;SUPPORT
;
;
;        DEFSEG  TestCode, CLASS=CODE
;
;        SEG     TestCode

;==========
OrionTests:
;==========
;
;        jr      fred
        call    FrameFlybackTest
        jp      c,ErrorHandler

        call    InterruptTest
        jp      c,ErrorHandler

        call    RAMTest
        jp      c,ErrorHandler

        call    OrionSoundTest

fred:
        ld      a,1
        call    ScreenSetMode

        call    OrionControlsTest

        call   	uPPERPalette27Test

        ld      a,1
        call    ScreenSetMode           ;tidy the screen

        call    DMASoundTest

        ld      a,1
        call    ScreenSetMode

        ld      a,1
        call    DelayASeconds

        call    PrinterTest

        call    DatacorderTest

;;;        call    FloppyTest

        xor     a                       ;clear carry cos no error

        ret                             ;back to main menu processor


